#
# mkdbtbl.sql - SQL to create verlof tables
#
# Verlof Web application, Copyright (C) 2002 by Universiteit Leiden.
#
# $Revision: 1.2 $
# $Date: 2003-01-23 14:59:54+01 $
# $Source: \\\\fwneld\\msdos\\RCS\\K\\fsc\\prj\\verlof\\src\\script\\mktbl.sql,v $
# %Author: M.J. Moene %

#
# $Header: \\\\fwneld\\msdos\\RCS\\K\\fsc\\prj\\verlof\\src\\script\\mktbl.sql,v 1.2 2003-01-23 14:59:54+01 moene Exp $
#
# $Log: mktbl.sql,v $
# Revision 1.2  2003-01-23 14:59:54+01  moene
# added column sessionID.
#
# Revision 1.1	2002/05/13 09:20:02  moene
# Initial revision
#
#

#
# Table structure for table 'person'
#

CREATE TABLE person (
   personID  INT    NOT NULL PRIMARY KEY auto_increment,
   name      TEXT   NOT NULL,
   email     TEXT,
   sessionID INT    NOT NULL			# since verlof-0.4.4
);

#
# Table structure for table 'verlof'
#
# part:
#	null
#   vm	voormiddag
#   nm	namiddag
#
# category:
#   v	verlof
#   bv	bijzonder verlof
#   sv	stuwmeer verlof
#   a	ADV
#   va	verplicht ADV
#   t	tegoed
#   at	ADV tegoed
#   tr	transport
#

CREATE TABLE verlof (
   verlofID INT     NOT NULL PRIMARY KEY auto_increment,
   personID INT     NOT NULL,
   date1    DATE    NOT NULL,
   date2    DATE    NOT NULL,
   hours    REAL    NOT NULL,
   part     CHAR(2) DEFAULT NULL,
   category CHAR(3) NOT NULL,
   remark   TEXT    DEFAULT NULL
);

#
# End of file
#

